DDCCONTROL(1)

NAME
ddccontrol - A utility to control monitor parameters via software

SYNOPSIS
ddccontrol -p [-cdfsvS] [-b datadir] [-r ctrl [-w value |-W value |-t value1,value2]]
ddccontrol dev:/dev/i2c-N [-cdfsvS] [-b datadir] [-r ctrl [-w value |-W value |-t value1,value2]]

DESCRIPTION
This manual page documents briefly the ddccontrol command.

ddccontrol is an open source utility which allows controlling monitor parameters via software. It communicates with monitors through userspace I2C using /dev/i2c-* devices. Legacy direct PCI memory access and AMD ADL backends have been removed, and USB-connected DDC/CI displays are not supported yet.

OPTIONS
A summary of options is included below.

dev a device specifier, for example: dev:/dev/i2c-0, or a monitor selector string (exact match against the PnP ID, the monitor name shown by -p (may include the PnP ID in brackets), or the database model name). Use selector to select all matching (DDC/CI-supported) monitors and selector/N (for example SAM083C/0) to select one match by zero-based index.

-p  probe /dev/i2c-* devices to find monitor buses

-c  query capability

-d  query ctrls 0 - 255, except engineering/vendor-specific controls 0xe0 - 0xff unless -f is also used

-r  query ctrl

-w  value to write to ctrl

-W  relatively change ctrl value (+/-)

-t  toggle ctrl value between value1 and value2 (defaults to value1 if current value is neither)

-f  force (avoid validity checks and include engineering/vendor-specific controls 0xe0 - 0xff in -d output)

-s  ask the monitor to save current settings (if supported)

-S  suppress unsupported-monitor fallback warning

-v  verbosity (specify more to increase)

-b  ddccontrol-db directory (if other than /usr/share/ddccontrol-db)

ENVIRONMENT

DDCCONTROL_NO_DAEMON
    When set to a non-empty value, ddccontrol bypasses the D-Bus daemon and accesses /dev/i2c-* devices directly. This can be useful for testing, debugging, or working around a daemon startup or connection problem.

SEE ALSO
The program is documented fully in
/usr/share/doc/ddccontrol/html/index.html

The project homepage: https://github.com/ddccontrol/ddccontrol

AUTHOR
ddccontrol was written by Oleg I. Vdovikin and Nicolas Boichat.
Copyright 2004-2005 Oleg I. Vdovikin (oleg@cs.msu.su)
Copyright 2004-2006 Nicolas Boichat (nicolas@boichat.ch)
Copyright 2004-2026 DDCcontrol authors and contributors (see AUTHORS and CONTRIBUTORS)

This manual page was written by Roberto C. Sanchez <roberto@connexer.com>.